curl https://api.saturn-pay.com/v1/agents \
-H "Authorization: Bearer sk_agt_..."
const response = await fetch('https://api.saturn-pay.com/v1/agents', {
headers: { 'Authorization': 'Bearer sk_agt_...' }
});
const agents = await response.json();
import requests
response = requests.get(
'https://api.saturn-pay.com/v1/agents',
headers={'Authorization': 'Bearer sk_agt_...'}
)
agents = response.json()
[
{
"id": "agt_abc123",
"name": "research-agent",
"killed": false,
"createdAt": "2024-01-15T10:30:00Z",
"lastActiveAt": "2024-01-20T14:22:00Z"
},
{
"id": "agt_def456",
"name": "worker-1",
"killed": false,
"createdAt": "2024-01-16T09:00:00Z",
"lastActiveAt": "2024-01-19T18:45:00Z"
}
]
Agents
List Agents
List all agents in your account
GET
/
v1
/
agents
curl https://api.saturn-pay.com/v1/agents \
-H "Authorization: Bearer sk_agt_..."
const response = await fetch('https://api.saturn-pay.com/v1/agents', {
headers: { 'Authorization': 'Bearer sk_agt_...' }
});
const agents = await response.json();
import requests
response = requests.get(
'https://api.saturn-pay.com/v1/agents',
headers={'Authorization': 'Bearer sk_agt_...'}
)
agents = response.json()
[
{
"id": "agt_abc123",
"name": "research-agent",
"killed": false,
"createdAt": "2024-01-15T10:30:00Z",
"lastActiveAt": "2024-01-20T14:22:00Z"
},
{
"id": "agt_def456",
"name": "worker-1",
"killed": false,
"createdAt": "2024-01-16T09:00:00Z",
"lastActiveAt": "2024-01-19T18:45:00Z"
}
]
Returns a list of all agents belonging to your account.
Response
array
curl https://api.saturn-pay.com/v1/agents \
-H "Authorization: Bearer sk_agt_..."
const response = await fetch('https://api.saturn-pay.com/v1/agents', {
headers: { 'Authorization': 'Bearer sk_agt_...' }
});
const agents = await response.json();
import requests
response = requests.get(
'https://api.saturn-pay.com/v1/agents',
headers={'Authorization': 'Bearer sk_agt_...'}
)
agents = response.json()
[
{
"id": "agt_abc123",
"name": "research-agent",
"killed": false,
"createdAt": "2024-01-15T10:30:00Z",
"lastActiveAt": "2024-01-20T14:22:00Z"
},
{
"id": "agt_def456",
"name": "worker-1",
"killed": false,
"createdAt": "2024-01-16T09:00:00Z",
"lastActiveAt": "2024-01-19T18:45:00Z"
}
]
⌘I